import * as __WEBPACK_EXTERNAL_MODULE__useParentRecordCommon_mjs__ from "../../../useParentRecordCommon.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__useGridCardBlockParams_mjs__ from "./useGridCardBlockParams.mjs";
function useGridCardBlockDecoratorProps(props) {
    const params = (0, __WEBPACK_EXTERNAL_MODULE__useGridCardBlockParams_mjs__.useGridCardBlockParams)(props);
    let parentRecord;
    if (props.association) parentRecord = (0, __WEBPACK_EXTERNAL_MODULE__useParentRecordCommon_mjs__.useParentRecordCommon)(props.association);
    return {
        params,
        parentRecord
    };
}
export { useGridCardBlockDecoratorProps };
